### Enumeration

# Gdk SubpixelLayout

#### Declaration

    enum Gdk.SubpixelLayout

#### Description [src]

This enumeration describes how the red, green and blue components of physical pixels on an output device are laid out.

#### Members

`GDK_SUBPIXEL_LAYOUT_UNKNOWN`

  The layout is not known.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 4.0
`GDK_SUBPIXEL_LAYOUT_NONE`

  Not organized in this way.

  - Value: `1`
  - Nickname: `none`
  - Available since: 4.0
`GDK_SUBPIXEL_LAYOUT_HORIZONTAL_RGB`

  The layout is horizontal, the order is RGB.

  - Value: `2`
  - Nickname: `horizontal-rgb`
  - Available since: 4.0
`GDK_SUBPIXEL_LAYOUT_HORIZONTAL_BGR`

  The layout is horizontal, the order is BGR.

  - Value: `3`
  - Nickname: `horizontal-bgr`
  - Available since: 4.0
`GDK_SUBPIXEL_LAYOUT_VERTICAL_RGB`

  The layout is vertical, the order is RGB.

  - Value: `4`
  - Nickname: `vertical-rgb`
  - Available since: 4.0
`GDK_SUBPIXEL_LAYOUT_VERTICAL_BGR`

  The layout is vertical, the order is BGR.

  - Value: `5`
  - Nickname: `vertical-bgr`
  - Available since: 4.0